Get the details of a partner schedule

Path Parameters
  • partnerScheduleId
    Type: stringFormat: uuid
    required
Responses
  • application/json
Request Example for get/v1/schedules/{partnerScheduleId}
curl https://api.consignlyhq.com/v1/schedules/123e4567-e89b-12d3-a456-426614174000
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "partner": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalId": null,
    "name": null,
    "code": null,
    "email": null,
    "relationship": "enum (Client = 1, Carrier = 2)",
    "status": "enum (Inactive = 1, Active = 2)"
  },
  "date": "date (YYYY-MM-DD)",
  "referenceNumber": null,
  "description": null,
  "amountExclTax": 1,
  "isExported": true,
  "transactions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "date": "date (YYYY-MM-DD)",
      "type": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
      "consignmentId": null,
      "consignmentNumber": null,
      "consignmentReferenceNumber": null,
      "chargeTypeId": null,
      "chargeTypeName": null,
      "chargeTypeCode": null,
      "particulars": null,
      "revenueAccountId": null,
      "revenueAccountCode": null,
      "costCentreId": null,
      "costCentreCode": null,
      "activityCode": null,
      "activityName": null,
      "quantity": 1,
      "chargeRateExclTax": 1,
      "baseChargeExclTax": null,
      "minChargeExclTax": null,
      "maxChargeExclTax": null,
      "chargeApplication": "enum (Rate = 1, Fee = 2)",
      "taxRateId": "123e4567-e89b-12d3-a456-426614174000",
      "taxRateName": null,
      "taxRatePercent": 1,
      "amountExclTax": 1
    }
  ]
}